跳到正文

Get headline detail

GET
/topics/{id}

Retrieve detailed information for a specific topic

授权

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

类型
API Key (header: X-CP-TERMINAL-API-KEY)

参数

路径参数

id*

Topic ID

类型
integer
必填
示例1

查询参数

lang

Language code

类型
string
有效值
"en""ja""zh"
示例"en"
默认
"en"

响应

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": {
  
  
"id": 1,
  
  
"lang": "en",
  
  
"category": "0",
  
  
"published_at": "2026-01-01T10:00:00Z",
  
  
"subtitle": "Bitcoin hits new high",
  
  
"summary": "crypto market analysis",
  
  
"terms_concepts": [
  
  
  
{
  
  
  
  
"term": "Bull Market",
  
  
  
  
"definition": "A market condition where prices are rising"
  
  
  
}
  
  
],
  
  
"title": "Bitcoin hits new high",
  
  
"cover_img": "https://example.com/cover.jpg",
  
  
"url": "https://coinpost.ai/topics/1"
  
}
}

试验场

授权
变量

示例

技术支持 VitePress OpenAPI